Get an nfts transction history
curl --request GET \
--url https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nfts/{serialNumber}/transactionsimport requests
url = "https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nfts/{serialNumber}/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mainnet.mirrornode.hedera.com/api/v1/tokens/{tokenId}/nfts/{serialNumber}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"consensus_timestamp": "1618591023.997420021",
"is_approval": false,
"nonce": 0,
"receiver_account_id": "0.0.11",
"sender_account_id": "0.0.10",
"transaction_id": "0.0.19789-1618591023-997420021",
"type": "CRYPTOTRANSFER"
}
],
"links": {
"next": null
}
}{
"transactions": [
{
"consensus_timestamp": "1618591023.997420021",
"is_approval": false,
"nonce": 0,
"receiver_account_id": "0.0.11",
"sender_account_id": "0.0.10",
"transaction_id": "0.0.19789-1618591023-997420021",
"type": "CRYPTOTRANSFER"
}
],
"links": {
"next": null
}
}{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}Tokens
Get an nfts transction history
Returns a list of transactions for a given non-fungible token
GET
/
api
/
v1
/
tokens
/
{tokenId}
/
nfts
/
{serialNumber}
/
transactions
Get an nfts transction history
Path Parameters
Token id
Network entity ID in the format of shard.realm.num
Pattern:
^\d{1,10}\.\d{1,10}\.\d{1,10}$Example:
"0.0.2"
The nft serial number
Required range:
1 <= x <= 9223372036854776000Query Parameters
The maximum number of items to return
Required range:
1 <= x <= 100The order in which items are listed
Available options:
asc, desc The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.
Pattern:
^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(.\d{1,9})?$Was this page helpful?